Package twisted :: Package coil :: Package plugins :: Module web :: Class ReverseProxyConfigurator

[show private | hide private]
[frames | no frames]

## Class ReverseProxyConfigurator

    Configurator --+
                   |
                  ReverseProxyConfigurator

Method Summary
| ``__init__`(self, instance)` Initialize this configurator with the instance it will be configuring. (inherited from `Configurator`)
| ``configDispensers`(self)` Return list of dispensers. (inherited from `Configurator`)
| ``configure`(self, dict)` Set a list of configuration variables. (inherited from `Configurator`)
| ``getConfiguration`(self)` Return a mapping of key/value tuples describing my configuration. (inherited from `Configurator`)
| ``getInstance`(self)` Return the instance being configured. (inherited from `Configurator`)
| ``getType`(self, name)` Get the type of a configuration variable. (inherited from `Configurator`)

Class Variable Summary
`string` | `configName`
`dictionary` | `configTypes`
`class` | `ReverseProxyResource`

Class Variable Details

### configName

  Type:
    `string`
  Value:

        'HTTP Reverse Proxy'

### configTypes

  Type:
    `dictionary`
  Value:

        {'host': [<type 'string'>,
                  'Remote Host',
                  "The remote host, e.g. 'www.yahoo.com'"],
         'path': [<type 'string'>,
                  'Remote Path',
                  "The path on the remote server, e.g. '/foo'."],
         'port': [<type 'int'>, 'Remote Port', 'The remote port, typically 80.\
        ']}

### ReverseProxyResource

`ReverseProxyResource` = `twisted.web.proxy.ReverseProxyResource`

Generated by Epydoc 1.1 on Sat Feb 15 21:17:47 2003 | http://epydoc.sf.net